> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get personalised artist recommendations for a user



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.feed.getArtistRecommendations
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.feed.getArtistRecommendations:
    get:
      tags:
        - app.rocksky.feed
      summary: Get personalised artist recommendations for a user
      operationId: app.rocksky.feed.getArtistRecommendations
      parameters:
        - name: did
          in: query
          description: DID or handle of the user to recommend for.
          required: true
          schema:
            type: string
            description: DID or handle of the user to recommend for.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app.rocksky.feed.defs.recommendedArtistsView
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.feed.defs.recommendedArtistsView:
      type: object
      properties:
        artists:
          type: array
          items:
            $ref: '#/components/schemas/app.rocksky.feed.defs.recommendedArtistView'
        cursor:
          type: string
    app.rocksky.feed.defs.recommendedArtistView:
      type: object
      properties:
        id:
          type: string
        uri:
          type: string
          format: at-uri
        name:
          type: string
        picture:
          type: string
          format: uri
        genres:
          type: array
          items:
            type: string
        recommendationScore:
          type: integer
        source:
          type: string
          description: neighbour | social | serendipity
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````